package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cyymall_user
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class CyymallUser implements Serializable {
    private Integer id;

    private Short type;

    private String username;

    private String password;

    private String authKey;

    private String accessToken;

    private Integer addtime;

    private Short isDelete;

    private String wechatOpenId;

    private String wechatUnionId;

    private String nickname;

    private String avatarUrl;

    private Integer storeId;

    private Integer isDistributor;

    private Integer parentId;

    private Integer time;

    private BigDecimal totalPrice;

    private BigDecimal price;

    private Integer isClerk;

    private Integer we7Uid;

    private Integer shopId;

    private Integer level;

    private Integer integral;

    private Integer totalIntegral;

    private BigDecimal money;

    private String contactWay;

    private String comments;

    private String binding;

    private String wechatPlatformOpenId;

    private Byte platform;

    private Boolean blacklist;

    private Integer parentUserId;

    private String appcid;

    private Boolean isAdmin;

    private BigDecimal tuanPrice;

    private Boolean isDelivery;

    private Integer mchId;

    private String realName;

    private String realCode;

    private String realJustPic;

    private String realBackPic;

    private Boolean isReal;

    private BigDecimal livePrice;

    private String fyjine;

    private String yifan;

    private Boolean deliveryOffice;

    private BigDecimal subsidyPrice;

    private Integer deliveryMchId;

    private Integer clerkMchId;

    private Integer isGroupCentre;

    private Integer sex;

    private String birthDate;

    private Integer isVgoods;

    private Integer shareCatId;

    private Integer userLabel;

    private String ghCardNo;

    private Integer ghCardPwd;

    private String channelPhone;

    private String channelSign;

    private String email;

    private Integer applyTime;

    private Short applyStatus;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getAuthKey() {
        return authKey;
    }

    public void setAuthKey(String authKey) {
        this.authKey = authKey;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Integer getAddtime() {
        return addtime;
    }

    public void setAddtime(Integer addtime) {
        this.addtime = addtime;
    }

    public Short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Short isDelete) {
        this.isDelete = isDelete;
    }

    public String getWechatOpenId() {
        return wechatOpenId;
    }

    public void setWechatOpenId(String wechatOpenId) {
        this.wechatOpenId = wechatOpenId;
    }

    public String getWechatUnionId() {
        return wechatUnionId;
    }

    public void setWechatUnionId(String wechatUnionId) {
        this.wechatUnionId = wechatUnionId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getIsDistributor() {
        return isDistributor;
    }

    public void setIsDistributor(Integer isDistributor) {
        this.isDistributor = isDistributor;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getIsClerk() {
        return isClerk;
    }

    public void setIsClerk(Integer isClerk) {
        this.isClerk = isClerk;
    }

    public Integer getWe7Uid() {
        return we7Uid;
    }

    public void setWe7Uid(Integer we7Uid) {
        this.we7Uid = we7Uid;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Integer getTotalIntegral() {
        return totalIntegral;
    }

    public void setTotalIntegral(Integer totalIntegral) {
        this.totalIntegral = totalIntegral;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public String getContactWay() {
        return contactWay;
    }

    public void setContactWay(String contactWay) {
        this.contactWay = contactWay;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getBinding() {
        return binding;
    }

    public void setBinding(String binding) {
        this.binding = binding;
    }

    public String getWechatPlatformOpenId() {
        return wechatPlatformOpenId;
    }

    public void setWechatPlatformOpenId(String wechatPlatformOpenId) {
        this.wechatPlatformOpenId = wechatPlatformOpenId;
    }

    public Byte getPlatform() {
        return platform;
    }

    public void setPlatform(Byte platform) {
        this.platform = platform;
    }

    public Boolean getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(Boolean blacklist) {
        this.blacklist = blacklist;
    }

    public Integer getParentUserId() {
        return parentUserId;
    }

    public void setParentUserId(Integer parentUserId) {
        this.parentUserId = parentUserId;
    }

    public String getAppcid() {
        return appcid;
    }

    public void setAppcid(String appcid) {
        this.appcid = appcid;
    }

    public Boolean getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Boolean isAdmin) {
        this.isAdmin = isAdmin;
    }

    public BigDecimal getTuanPrice() {
        return tuanPrice;
    }

    public void setTuanPrice(BigDecimal tuanPrice) {
        this.tuanPrice = tuanPrice;
    }

    public Boolean getIsDelivery() {
        return isDelivery;
    }

    public void setIsDelivery(Boolean isDelivery) {
        this.isDelivery = isDelivery;
    }

    public Integer getMchId() {
        return mchId;
    }

    public void setMchId(Integer mchId) {
        this.mchId = mchId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getRealCode() {
        return realCode;
    }

    public void setRealCode(String realCode) {
        this.realCode = realCode;
    }

    public String getRealJustPic() {
        return realJustPic;
    }

    public void setRealJustPic(String realJustPic) {
        this.realJustPic = realJustPic;
    }

    public String getRealBackPic() {
        return realBackPic;
    }

    public void setRealBackPic(String realBackPic) {
        this.realBackPic = realBackPic;
    }

    public Boolean getIsReal() {
        return isReal;
    }

    public void setIsReal(Boolean isReal) {
        this.isReal = isReal;
    }

    public BigDecimal getLivePrice() {
        return livePrice;
    }

    public void setLivePrice(BigDecimal livePrice) {
        this.livePrice = livePrice;
    }

    public String getFyjine() {
        return fyjine;
    }

    public void setFyjine(String fyjine) {
        this.fyjine = fyjine;
    }

    public String getYifan() {
        return yifan;
    }

    public void setYifan(String yifan) {
        this.yifan = yifan;
    }

    public Boolean getDeliveryOffice() {
        return deliveryOffice;
    }

    public void setDeliveryOffice(Boolean deliveryOffice) {
        this.deliveryOffice = deliveryOffice;
    }

    public BigDecimal getSubsidyPrice() {
        return subsidyPrice;
    }

    public void setSubsidyPrice(BigDecimal subsidyPrice) {
        this.subsidyPrice = subsidyPrice;
    }

    public Integer getDeliveryMchId() {
        return deliveryMchId;
    }

    public void setDeliveryMchId(Integer deliveryMchId) {
        this.deliveryMchId = deliveryMchId;
    }

    public Integer getClerkMchId() {
        return clerkMchId;
    }

    public void setClerkMchId(Integer clerkMchId) {
        this.clerkMchId = clerkMchId;
    }

    public Integer getIsGroupCentre() {
        return isGroupCentre;
    }

    public void setIsGroupCentre(Integer isGroupCentre) {
        this.isGroupCentre = isGroupCentre;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public Integer getIsVgoods() {
        return isVgoods;
    }

    public void setIsVgoods(Integer isVgoods) {
        this.isVgoods = isVgoods;
    }

    public Integer getShareCatId() {
        return shareCatId;
    }

    public void setShareCatId(Integer shareCatId) {
        this.shareCatId = shareCatId;
    }

    public Integer getUserLabel() {
        return userLabel;
    }

    public void setUserLabel(Integer userLabel) {
        this.userLabel = userLabel;
    }

    public String getGhCardNo() {
        return ghCardNo;
    }

    public void setGhCardNo(String ghCardNo) {
        this.ghCardNo = ghCardNo;
    }

    public Integer getGhCardPwd() {
        return ghCardPwd;
    }

    public void setGhCardPwd(Integer ghCardPwd) {
        this.ghCardPwd = ghCardPwd;
    }

    public String getChannelPhone() {
        return channelPhone;
    }

    public void setChannelPhone(String channelPhone) {
        this.channelPhone = channelPhone;
    }

    public String getChannelSign() {
        return channelSign;
    }

    public void setChannelSign(String channelSign) {
        this.channelSign = channelSign;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Integer applyTime) {
        this.applyTime = applyTime;
    }

    public Short getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(Short applyStatus) {
        this.applyStatus = applyStatus;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CyymallUser other = (CyymallUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getUsername() == null ? other.getUsername() == null : this.getUsername().equals(other.getUsername()))
            && (this.getPassword() == null ? other.getPassword() == null : this.getPassword().equals(other.getPassword()))
            && (this.getAuthKey() == null ? other.getAuthKey() == null : this.getAuthKey().equals(other.getAuthKey()))
            && (this.getAccessToken() == null ? other.getAccessToken() == null : this.getAccessToken().equals(other.getAccessToken()))
            && (this.getAddtime() == null ? other.getAddtime() == null : this.getAddtime().equals(other.getAddtime()))
            && (this.getIsDelete() == null ? other.getIsDelete() == null : this.getIsDelete().equals(other.getIsDelete()))
            && (this.getWechatOpenId() == null ? other.getWechatOpenId() == null : this.getWechatOpenId().equals(other.getWechatOpenId()))
            && (this.getWechatUnionId() == null ? other.getWechatUnionId() == null : this.getWechatUnionId().equals(other.getWechatUnionId()))
            && (this.getNickname() == null ? other.getNickname() == null : this.getNickname().equals(other.getNickname()))
            && (this.getAvatarUrl() == null ? other.getAvatarUrl() == null : this.getAvatarUrl().equals(other.getAvatarUrl()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getIsDistributor() == null ? other.getIsDistributor() == null : this.getIsDistributor().equals(other.getIsDistributor()))
            && (this.getParentId() == null ? other.getParentId() == null : this.getParentId().equals(other.getParentId()))
            && (this.getTime() == null ? other.getTime() == null : this.getTime().equals(other.getTime()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getIsClerk() == null ? other.getIsClerk() == null : this.getIsClerk().equals(other.getIsClerk()))
            && (this.getWe7Uid() == null ? other.getWe7Uid() == null : this.getWe7Uid().equals(other.getWe7Uid()))
            && (this.getShopId() == null ? other.getShopId() == null : this.getShopId().equals(other.getShopId()))
            && (this.getLevel() == null ? other.getLevel() == null : this.getLevel().equals(other.getLevel()))
            && (this.getIntegral() == null ? other.getIntegral() == null : this.getIntegral().equals(other.getIntegral()))
            && (this.getTotalIntegral() == null ? other.getTotalIntegral() == null : this.getTotalIntegral().equals(other.getTotalIntegral()))
            && (this.getMoney() == null ? other.getMoney() == null : this.getMoney().equals(other.getMoney()))
            && (this.getContactWay() == null ? other.getContactWay() == null : this.getContactWay().equals(other.getContactWay()))
            && (this.getComments() == null ? other.getComments() == null : this.getComments().equals(other.getComments()))
            && (this.getBinding() == null ? other.getBinding() == null : this.getBinding().equals(other.getBinding()))
            && (this.getWechatPlatformOpenId() == null ? other.getWechatPlatformOpenId() == null : this.getWechatPlatformOpenId().equals(other.getWechatPlatformOpenId()))
            && (this.getPlatform() == null ? other.getPlatform() == null : this.getPlatform().equals(other.getPlatform()))
            && (this.getBlacklist() == null ? other.getBlacklist() == null : this.getBlacklist().equals(other.getBlacklist()))
            && (this.getParentUserId() == null ? other.getParentUserId() == null : this.getParentUserId().equals(other.getParentUserId()))
            && (this.getAppcid() == null ? other.getAppcid() == null : this.getAppcid().equals(other.getAppcid()))
            && (this.getIsAdmin() == null ? other.getIsAdmin() == null : this.getIsAdmin().equals(other.getIsAdmin()))
            && (this.getTuanPrice() == null ? other.getTuanPrice() == null : this.getTuanPrice().equals(other.getTuanPrice()))
            && (this.getIsDelivery() == null ? other.getIsDelivery() == null : this.getIsDelivery().equals(other.getIsDelivery()))
            && (this.getMchId() == null ? other.getMchId() == null : this.getMchId().equals(other.getMchId()))
            && (this.getRealName() == null ? other.getRealName() == null : this.getRealName().equals(other.getRealName()))
            && (this.getRealCode() == null ? other.getRealCode() == null : this.getRealCode().equals(other.getRealCode()))
            && (this.getRealJustPic() == null ? other.getRealJustPic() == null : this.getRealJustPic().equals(other.getRealJustPic()))
            && (this.getRealBackPic() == null ? other.getRealBackPic() == null : this.getRealBackPic().equals(other.getRealBackPic()))
            && (this.getIsReal() == null ? other.getIsReal() == null : this.getIsReal().equals(other.getIsReal()))
            && (this.getLivePrice() == null ? other.getLivePrice() == null : this.getLivePrice().equals(other.getLivePrice()))
            && (this.getFyjine() == null ? other.getFyjine() == null : this.getFyjine().equals(other.getFyjine()))
            && (this.getYifan() == null ? other.getYifan() == null : this.getYifan().equals(other.getYifan()))
            && (this.getDeliveryOffice() == null ? other.getDeliveryOffice() == null : this.getDeliveryOffice().equals(other.getDeliveryOffice()))
            && (this.getSubsidyPrice() == null ? other.getSubsidyPrice() == null : this.getSubsidyPrice().equals(other.getSubsidyPrice()))
            && (this.getDeliveryMchId() == null ? other.getDeliveryMchId() == null : this.getDeliveryMchId().equals(other.getDeliveryMchId()))
            && (this.getClerkMchId() == null ? other.getClerkMchId() == null : this.getClerkMchId().equals(other.getClerkMchId()))
            && (this.getIsGroupCentre() == null ? other.getIsGroupCentre() == null : this.getIsGroupCentre().equals(other.getIsGroupCentre()))
            && (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex()))
            && (this.getBirthDate() == null ? other.getBirthDate() == null : this.getBirthDate().equals(other.getBirthDate()))
            && (this.getIsVgoods() == null ? other.getIsVgoods() == null : this.getIsVgoods().equals(other.getIsVgoods()))
            && (this.getShareCatId() == null ? other.getShareCatId() == null : this.getShareCatId().equals(other.getShareCatId()))
            && (this.getUserLabel() == null ? other.getUserLabel() == null : this.getUserLabel().equals(other.getUserLabel()))
            && (this.getGhCardNo() == null ? other.getGhCardNo() == null : this.getGhCardNo().equals(other.getGhCardNo()))
            && (this.getGhCardPwd() == null ? other.getGhCardPwd() == null : this.getGhCardPwd().equals(other.getGhCardPwd()))
            && (this.getChannelPhone() == null ? other.getChannelPhone() == null : this.getChannelPhone().equals(other.getChannelPhone()))
            && (this.getChannelSign() == null ? other.getChannelSign() == null : this.getChannelSign().equals(other.getChannelSign()))
            && (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail()))
            && (this.getApplyTime() == null ? other.getApplyTime() == null : this.getApplyTime().equals(other.getApplyTime()))
            && (this.getApplyStatus() == null ? other.getApplyStatus() == null : this.getApplyStatus().equals(other.getApplyStatus()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getUsername() == null) ? 0 : getUsername().hashCode());
        result = prime * result + ((getPassword() == null) ? 0 : getPassword().hashCode());
        result = prime * result + ((getAuthKey() == null) ? 0 : getAuthKey().hashCode());
        result = prime * result + ((getAccessToken() == null) ? 0 : getAccessToken().hashCode());
        result = prime * result + ((getAddtime() == null) ? 0 : getAddtime().hashCode());
        result = prime * result + ((getIsDelete() == null) ? 0 : getIsDelete().hashCode());
        result = prime * result + ((getWechatOpenId() == null) ? 0 : getWechatOpenId().hashCode());
        result = prime * result + ((getWechatUnionId() == null) ? 0 : getWechatUnionId().hashCode());
        result = prime * result + ((getNickname() == null) ? 0 : getNickname().hashCode());
        result = prime * result + ((getAvatarUrl() == null) ? 0 : getAvatarUrl().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getIsDistributor() == null) ? 0 : getIsDistributor().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getTime() == null) ? 0 : getTime().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getIsClerk() == null) ? 0 : getIsClerk().hashCode());
        result = prime * result + ((getWe7Uid() == null) ? 0 : getWe7Uid().hashCode());
        result = prime * result + ((getShopId() == null) ? 0 : getShopId().hashCode());
        result = prime * result + ((getLevel() == null) ? 0 : getLevel().hashCode());
        result = prime * result + ((getIntegral() == null) ? 0 : getIntegral().hashCode());
        result = prime * result + ((getTotalIntegral() == null) ? 0 : getTotalIntegral().hashCode());
        result = prime * result + ((getMoney() == null) ? 0 : getMoney().hashCode());
        result = prime * result + ((getContactWay() == null) ? 0 : getContactWay().hashCode());
        result = prime * result + ((getComments() == null) ? 0 : getComments().hashCode());
        result = prime * result + ((getBinding() == null) ? 0 : getBinding().hashCode());
        result = prime * result + ((getWechatPlatformOpenId() == null) ? 0 : getWechatPlatformOpenId().hashCode());
        result = prime * result + ((getPlatform() == null) ? 0 : getPlatform().hashCode());
        result = prime * result + ((getBlacklist() == null) ? 0 : getBlacklist().hashCode());
        result = prime * result + ((getParentUserId() == null) ? 0 : getParentUserId().hashCode());
        result = prime * result + ((getAppcid() == null) ? 0 : getAppcid().hashCode());
        result = prime * result + ((getIsAdmin() == null) ? 0 : getIsAdmin().hashCode());
        result = prime * result + ((getTuanPrice() == null) ? 0 : getTuanPrice().hashCode());
        result = prime * result + ((getIsDelivery() == null) ? 0 : getIsDelivery().hashCode());
        result = prime * result + ((getMchId() == null) ? 0 : getMchId().hashCode());
        result = prime * result + ((getRealName() == null) ? 0 : getRealName().hashCode());
        result = prime * result + ((getRealCode() == null) ? 0 : getRealCode().hashCode());
        result = prime * result + ((getRealJustPic() == null) ? 0 : getRealJustPic().hashCode());
        result = prime * result + ((getRealBackPic() == null) ? 0 : getRealBackPic().hashCode());
        result = prime * result + ((getIsReal() == null) ? 0 : getIsReal().hashCode());
        result = prime * result + ((getLivePrice() == null) ? 0 : getLivePrice().hashCode());
        result = prime * result + ((getFyjine() == null) ? 0 : getFyjine().hashCode());
        result = prime * result + ((getYifan() == null) ? 0 : getYifan().hashCode());
        result = prime * result + ((getDeliveryOffice() == null) ? 0 : getDeliveryOffice().hashCode());
        result = prime * result + ((getSubsidyPrice() == null) ? 0 : getSubsidyPrice().hashCode());
        result = prime * result + ((getDeliveryMchId() == null) ? 0 : getDeliveryMchId().hashCode());
        result = prime * result + ((getClerkMchId() == null) ? 0 : getClerkMchId().hashCode());
        result = prime * result + ((getIsGroupCentre() == null) ? 0 : getIsGroupCentre().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getBirthDate() == null) ? 0 : getBirthDate().hashCode());
        result = prime * result + ((getIsVgoods() == null) ? 0 : getIsVgoods().hashCode());
        result = prime * result + ((getShareCatId() == null) ? 0 : getShareCatId().hashCode());
        result = prime * result + ((getUserLabel() == null) ? 0 : getUserLabel().hashCode());
        result = prime * result + ((getGhCardNo() == null) ? 0 : getGhCardNo().hashCode());
        result = prime * result + ((getGhCardPwd() == null) ? 0 : getGhCardPwd().hashCode());
        result = prime * result + ((getChannelPhone() == null) ? 0 : getChannelPhone().hashCode());
        result = prime * result + ((getChannelSign() == null) ? 0 : getChannelSign().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getApplyTime() == null) ? 0 : getApplyTime().hashCode());
        result = prime * result + ((getApplyStatus() == null) ? 0 : getApplyStatus().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", username=").append(username);
        sb.append(", password=").append(password);
        sb.append(", authKey=").append(authKey);
        sb.append(", accessToken=").append(accessToken);
        sb.append(", addtime=").append(addtime);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", wechatOpenId=").append(wechatOpenId);
        sb.append(", wechatUnionId=").append(wechatUnionId);
        sb.append(", nickname=").append(nickname);
        sb.append(", avatarUrl=").append(avatarUrl);
        sb.append(", storeId=").append(storeId);
        sb.append(", isDistributor=").append(isDistributor);
        sb.append(", parentId=").append(parentId);
        sb.append(", time=").append(time);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", price=").append(price);
        sb.append(", isClerk=").append(isClerk);
        sb.append(", we7Uid=").append(we7Uid);
        sb.append(", shopId=").append(shopId);
        sb.append(", level=").append(level);
        sb.append(", integral=").append(integral);
        sb.append(", totalIntegral=").append(totalIntegral);
        sb.append(", money=").append(money);
        sb.append(", contactWay=").append(contactWay);
        sb.append(", comments=").append(comments);
        sb.append(", binding=").append(binding);
        sb.append(", wechatPlatformOpenId=").append(wechatPlatformOpenId);
        sb.append(", platform=").append(platform);
        sb.append(", blacklist=").append(blacklist);
        sb.append(", parentUserId=").append(parentUserId);
        sb.append(", appcid=").append(appcid);
        sb.append(", isAdmin=").append(isAdmin);
        sb.append(", tuanPrice=").append(tuanPrice);
        sb.append(", isDelivery=").append(isDelivery);
        sb.append(", mchId=").append(mchId);
        sb.append(", realName=").append(realName);
        sb.append(", realCode=").append(realCode);
        sb.append(", realJustPic=").append(realJustPic);
        sb.append(", realBackPic=").append(realBackPic);
        sb.append(", isReal=").append(isReal);
        sb.append(", livePrice=").append(livePrice);
        sb.append(", fyjine=").append(fyjine);
        sb.append(", yifan=").append(yifan);
        sb.append(", deliveryOffice=").append(deliveryOffice);
        sb.append(", subsidyPrice=").append(subsidyPrice);
        sb.append(", deliveryMchId=").append(deliveryMchId);
        sb.append(", clerkMchId=").append(clerkMchId);
        sb.append(", isGroupCentre=").append(isGroupCentre);
        sb.append(", sex=").append(sex);
        sb.append(", birthDate=").append(birthDate);
        sb.append(", isVgoods=").append(isVgoods);
        sb.append(", shareCatId=").append(shareCatId);
        sb.append(", userLabel=").append(userLabel);
        sb.append(", ghCardNo=").append(ghCardNo);
        sb.append(", ghCardPwd=").append(ghCardPwd);
        sb.append(", channelPhone=").append(channelPhone);
        sb.append(", channelSign=").append(channelSign);
        sb.append(", email=").append(email);
        sb.append(", applyTime=").append(applyTime);
        sb.append(", applyStatus=").append(applyStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}